=== debian/rules ===
#! /usr/bin/make -f
#
#	debian/rules file for freeradius
#

SHELL		=/bin/bash

package		= freeradius
debiandir	= $(shell pwd)/debian
freeradius_dir	= $(debiandir)/$(package)

mandir		= /usr/share/man
libdir		= /usr/lib/$(package)
logdir		= /var/log/$(package)
pkgdocdir	= /usr/share/doc/$(package)
raddbdir	= /etc/$(package)

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

export CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Autoconf 2.13 arch support
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += $(DEB_HOST_GNU_TYPE)
else
	confflags += --host $(DEB_BUILD_GNU_TYPE) --build $(DEB_HOST_GNU_TYPE)
endif

build-simple stamp-build:
	dh_testdir
	# dh_testroot
	./configure \
		$(confflags) \
		--prefix=/usr \
		--exec-prefix=/usr \
		--mandir=$(mandir) \
		--sysconfdir=/etc \
		--libdir=$(libdir) \
		--datadir=/usr/share \
		--localstatedir=/var \
		--with-raddbdir=$(raddbdir) \
		--with-logdir=/var/log/$(package) \
		--with-thread-pool --with-system-libtool \
		--enable-ltdl-install=no --enable-strict-dependencies \
		--enable-developer
	
	# Modify Make.inc for Debian...
	TEMPFILE=`mktemp /tmp/radmake-XXXXXX`; \
	cp Make.inc $$TEMPFILE; \
	cat $$TEMPFILE \
		| sed -e 's!${localstatedir}/run/radiusd!${localstatedir}/run/freeradius!' \
			> Make.inc; \
	rm $$TEMPFILE

	make
	touch stamp-build

build: autotools build-simple

binary-indep: stamp-build

binary-arch: stamp-build
	dh_testroot
	dh_clean
	dh_installdirs
	make install R=$(freeradius_dir)

	# rename radius binary to play nicely with others
	mv $(freeradius_dir)/usr/sbin/radiusd $(freeradius_dir)/usr/sbin/$(package)

	# clean up install cruft.  $$&@!%
	rm $(freeradius_dir)/usr/sbin/rc.radiusd
	test ! -d $(freeradius_dir)/etc/raddb || rmdir $(freeradius_dir)/etc/raddb
	test ! -d $(freeradius_dir)/var/log/radius/radacct || rmdir $(freeradius_dir)/var/log/radius/radacct
	test ! -d $(freeradius_dir)/var/log/radius || rmdir $(freeradius_dir)/var/log/radius
#	Yuck! the makefile in doc/ does this.
	rm -rf $(freeradius_dir)/usr/share/doc/freeradius-0.9.0

	# split out inconvenient/controversal modules to other places
	for modname in krb5 ldap mysql postgresql; do \
		mkdir -p $(debiandir)/$(package)-$${modname}/$(libdir); \
		mv $(freeradius_dir)/$(libdir)/rlm*_$${modname}* $(debiandir)/$(package)-$${modname}/$(libdir)/; \
	done

	# man pages & docs
	install -g root -m 644 CREDITS $(freeradius_dir)/$(pkgdocdir)/credits
	dh_installdocs -XChangeLog -X00-OLD -XCVS -XMakefile doc/*
	dh_installdocs `find src/modules/rlm_sql/drivers -type f -name \*.sql`
	dh_installchangelogs doc/ChangeLog

	# SNMP mibs
	install -g root -m 644 mibs/*.txt $(freeradius_dir)/usr/share/snmp/mibs

	# supporting programs
	install -g root -m 755 $(debiandir)/initscript $(freeradius_dir)/etc/init.d/$(package)
	TEMPFILE=`mktemp /tmp/radconf-XXXXXX`; \
	cp $(freeradius_dir)/$(raddbdir)/radiusd.conf $$TEMPFILE; \
	cat $$TEMPFILE \
		| sed -e 's/        /	/g' \
		| sed -e '/^	example {/,/^	}/s/^/#/' \
		| sed -e 's/#	shadow = /shadow = /' \
		| sed -e 's/^#\?group = nobody/group = freerad/' \
		| sed -e 's/^#\?user = nobody/user = freerad/' \
		| sed -e 's!/run/radiusd!/run/freeradius!' \
		| sed -e 's!radiusd.pid!freeradius.pid!' \
			> $(freeradius_dir)/$(raddbdir)/radiusd.conf; \
	rm $$TEMPFILE

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip
endif
	# We don't need ldconfig. None of our libraries go in it's paths
	dh_makeshlibs -n
	dh_shlibdeps
	dh_installdeb
	dh_compress
	dh_fixperms
	dh_md5sums
	dh_gencontrol
	dh_builddeb

clean:	
	dh_testdir
	rm -f stamp-build debian/{files,substvars} debian/*.debhelper
	[ -f Make.inc ] && make distclean || true
	dh_clean
	rm -rf $(freeradius_dir) $(debiandir)/$(package)-{ldap,postgresql,mysql,krb5}{,.substvars}

binary: binary-indep binary-arch

# The autotools target adds forced build-time dependencies on
# autotools-dev (for /usr/share/misc/config.*)
# It's also a .PHONY make target.
autotools:
	-rm -f config.sub config.guess
	ln -s /usr/share/misc/config.sub config.sub
	ln -s /usr/share/misc/config.guess config.guess

# for the maintainer only
sanitycheck:
	@echo -n "sanity: checking for overzealous undocumented file... "
	@find man/ -type f |grep \. |sed -e 's%man/man./%%' | { \
		while read manpage; do \
			grep $$manpage debian/$(package).undocumented | read filename && echo -n $$filename; \
		done; \
	} || true
	@test -n $$filename
	@echo good.

.PHONY: binary binary-arch binary-indep clean sanitycheck autotools
